"use strict";
const krevent_1 = require("krevent");
const netevent = require("./netevent");
const PacketId = require("./packetId");
const common_1 = require("./common");
class ChatEventImpl {
    constructor(name, message, networkIdentifier) {
        this.name = name;
        this.message = message;
        this.networkIdentifier = networkIdentifier;
        this.isModified = false;
    }
    setName(name) {
        this.isModified = true;
        this.name = name;
    }
    setMessage(message) {
        this.isModified = true;
        this.message = message;
    }
}
class ChatManager extends krevent_1.EventEx {
    constructor() {
        super(...arguments);
        this.chatlistener = (ptr, networkIdentifier, packetId) => {
            const name = ptr.getCxxString(0x30);
            const message = ptr.getCxxString(0x50);
            const ev = new ChatEventImpl(name, message, networkIdentifier);
            if (this.fire(ev) === common_1.CANCEL)
                return common_1.CANCEL;
            if (ev.isModified) {
                ptr.setCxxString(ev.name, 0x30);
                ptr.setCxxString(ev.message, 0x50);
            }
        };
    }
    onStarted() {
        netevent.before(PacketId.Text).on(this.chatlistener);
    }
    onCleared() {
        netevent.before(PacketId.Text).remove(this.chatlistener);
    }
}
module.exports = new ChatManager();
//# sourceMappingURL=chat.js.map