import "@mcbe/dummy-console";
import native = require("./native");
import fs = require("./fs");
import PacketId = require('./packetId');
import netevent = require('./netevent');
import chat = require('./chat');
import command = require('./command');
import nativetype = require('./nativetype');
import packettype = require('./packettype');
import { CANCEL } from './common';
import NetworkIdentifier = native.NetworkIdentifier;
import StaticPointer = native.StaticPointer;
import NativePointer = native.NativePointer;
import Actor = native.Actor;
import consoleX = native.console;
import nethook = native.nethook;
import serverControl = native.serverControl;
import setOnErrorListener = native.setOnErrorListener;
import setOnRuntimeErrorListener = native.setOnRuntimeErrorListener;
import NativeModule = native.NativeModule;
import fsx = native.fs;
import File = fs.File;
import Watcher = fsx.Watcher;
import createPacket = nethook.createPacket;
import sendPacket = nethook.sendPacket;
import execSync = native.execSync;
import ipfilter = native.ipfilter;
import shellVoid = native.shell;
import { MariaDB } from "./db";
import { bin } from "./bin";
declare global {
    interface IEntity {
        __unique_id__: {
            "64bit_low": number;
            "64bit_high": number;
        };
    }
    interface NodeRequireFunction {
        (id: string): any;
    }
    interface NodeRequire extends NodeRequireFunction {
    }
    var require: NodeRequire;
}
declare module "./native" {
    interface NativePointer {
        readHex(size: number): string;
        analyze(): void;
        /**
         * @deprecated It's replaced to readString(,Encoding.)
         */
        readUtf16(): string;
    }
    namespace Actor {
        function fromEntity(entity: IEntity): Actor | null;
    }
    interface Actor {
        getEntity(): IEntity;
    }
}
export declare function loadMap(): void;
export { fs, fsx, File, File as NativeFile, NetworkIdentifier, Actor, Actor as Entity, Watcher, StaticPointer, NativePointer, consoleX, nethook, setOnErrorListener, setOnRuntimeErrorListener, PacketId, netevent, chat, command, serverControl, CANCEL, createPacket, sendPacket, nativetype, packettype, NativeModule, execSync, ipfilter, shellVoid, MariaDB, bin, native };
/**
 * @deprecated use node.js
 */
export declare function wget(url: string): Promise<string>;
/**
 * @deprecated use node.js
 */
export declare function exec(command: string, cwd?: string): Promise<string>;
/**
 * @deprecated use node.js
 */
export declare function execVoid(command: string, cwd?: string): void;
