"use strict";
/// <reference types="minecraft-scripting-types-server" />
Object.defineProperty(exports, "__esModule", { value: true });
exports.execVoid = exports.exec = exports.wget = exports.native = exports.bin = exports.MariaDB = exports.shellVoid = exports.ipfilter = exports.execSync = exports.NativeModule = exports.packettype = exports.nativetype = exports.sendPacket = exports.createPacket = exports.CANCEL = exports.serverControl = exports.command = exports.chat = exports.netevent = exports.PacketId = exports.setOnRuntimeErrorListener = exports.setOnErrorListener = exports.nethook = exports.consoleX = exports.NativePointer = exports.StaticPointer = exports.Watcher = exports.Entity = exports.Actor = exports.NetworkIdentifier = exports.NativeFile = exports.File = exports.fsx = exports.fs = exports.loadMap = void 0;
require("@mcbe/dummy-console");
const native = require("./native");
exports.native = native;
const fs = require("./fs");
exports.fs = fs;
const PacketId = require("./packetId");
exports.PacketId = PacketId;
const netevent = require("./netevent");
exports.netevent = netevent;
const chat = require("./chat");
exports.chat = chat;
const command = require("./command");
exports.command = command;
const nativetype = require("./nativetype");
exports.nativetype = nativetype;
const packettype = require("./packettype");
exports.packettype = packettype;
const common_1 = require("./common");
Object.defineProperty(exports, "CANCEL", { enumerable: true, get: function () { return common_1.CANCEL; } });
var NetworkIdentifier = native.NetworkIdentifier;
exports.NetworkIdentifier = NetworkIdentifier;
var StaticPointer = native.StaticPointer;
exports.StaticPointer = StaticPointer;
var NativePointer = native.NativePointer;
exports.NativePointer = NativePointer;
var Actor = native.Actor;
exports.Actor = Actor;
exports.Entity = Actor;
var consoleX = native.console;
exports.consoleX = consoleX;
var nethook = native.nethook;
exports.nethook = nethook;
var serverControl = native.serverControl;
exports.serverControl = serverControl;
var setOnErrorListener = native.setOnErrorListener;
exports.setOnErrorListener = setOnErrorListener;
var setOnRuntimeErrorListener = native.setOnRuntimeErrorListener;
exports.setOnRuntimeErrorListener = setOnRuntimeErrorListener;
var NativeModule = native.NativeModule;
exports.NativeModule = NativeModule;
var fsx = native.fs;
exports.fsx = fsx;
var File = fs.File;
exports.File = File;
exports.NativeFile = File;
var Watcher = fsx.Watcher;
exports.Watcher = Watcher;
var createPacket = nethook.createPacket;
exports.createPacket = createPacket;
var sendPacket = nethook.sendPacket;
exports.sendPacket = sendPacket;
var execSync = native.execSync;
exports.execSync = execSync;
var ipfilter = native.ipfilter;
exports.ipfilter = ipfilter;
var shellVoid = native.shell;
exports.shellVoid = shellVoid;
const db_1 = require("./db");
Object.defineProperty(exports, "MariaDB", { enumerable: true, get: function () { return db_1.MariaDB; } });
const bin_1 = require("./bin");
Object.defineProperty(exports, "bin", { enumerable: true, get: function () { return bin_1.bin; } });
Actor.fromEntity = function (entity) {
    const u = entity.__unique_id__;
    return Actor.fromUniqueId(u["64bit_low"], u["64bit_high"]);
};
Actor.prototype.getEntity = function () {
    let entity = this.entity;
    if (entity)
        return entity;
    entity = {
        __unique_id__: {
            "64bit_low": this.getUniqueIdLow(),
            "64bit_high": this.getUniqueIdHigh()
        },
        __identifier__: this.getIdentifier(),
        __type__: (this.getTypeId() & 0xff) === 0x40 ? 'item_entity' : 'entity',
        id: 0,
    };
    return this.entity = entity;
};
NetworkIdentifier.prototype.toString = NetworkIdentifier.prototype.getAddress;
NativePointer.prototype.readHex = function (size, nextLinePer = 16) {
    let out = '';
    for (let i = 0; i < size;) {
        const num = this.readUint8();
        const hex = num.toString(16);
        if (hex.length == 1)
            out += '0';
        out += hex;
        out += ' ';
        i++;
        if (i % nextLinePer === 0)
            out += '\n';
    }
    return out.substr(0, out.length - 1);
};
let analyzeMap;
function loadMap() {
    if (analyzeMap)
        return;
    analyzeMap = new Map();
    const pdb = native.loadPdb();
    for (const name in pdb) {
        analyzeMap.set(pdb[name].toString(), name);
    }
}
exports.loadMap = loadMap;
NativePointer.prototype.analyze = function () {
    loadMap();
    console.log(`[analyze: ${this}]`);
    try {
        for (let i = 0; i < 32; i++) {
            let offset = (i * 8).toString(16);
            offset = '0'.repeat(Math.max(3 - offset.length, 0)) + offset;
            const addr = this.readPointer();
            const addrstr = addr.toString();
            const addrname = analyzeMap.get(addrstr);
            if (addrname) {
                console.log(`${offset}: ${addrname}(${addrstr})`);
                continue;
            }
            try {
                const addr2 = addr.getPointer();
                const addr2str = addr2.toString();
                const addr2name = analyzeMap.get(addr2str);
                if (addr2name) {
                    console.log(`${offset}: ${addrstr}: ${addr2name}(${addr2str})`);
                }
                else {
                    console.log(`${offset}: ${addrstr}: ${addr2str}`);
                }
            }
            catch (err) {
                let nums = [];
                for (let i = 0; i < addrstr.length; i += 2) {
                    nums.push(parseInt(addrstr.substr(i, 2), 16));
                }
                if (nums.every(n => n < 0x7f)) {
                    const text = String.fromCharCode(...nums.map(n => n < 0x20 ? 0x20 : n));
                    console.log(`${offset}: ${addrstr} ${text}`);
                }
                else {
                    console.log(`${offset}: ${addrstr}`);
                }
            }
        }
    }
    catch (err) {
        console.log('[VA]');
    }
};
/**
 * @deprecated use node.js
 */
function wget(url) {
    return new Promise(resolve => {
        native.wget(url, text => {
            resolve(text);
        });
    });
}
exports.wget = wget;
/**
 * @deprecated use node.js
 */
function exec(command, cwd) {
    return new Promise(resolve => {
        native.exec(command, cwd, resolve);
    });
}
exports.exec = exec;
/**
 * @deprecated use node.js
 */
function execVoid(command, cwd) {
    native.exec(command, cwd);
}
exports.execVoid = execVoid;
//# sourceMappingURL=index.js.map