import { nethook, NativePointer, NetworkIdentifier } from "./native";
import PacketId = require("./packetId");
import { CapsuledEvent } from "krevent";
import { CANCEL } from "./common";
import readLoginPacket = nethook.readLoginPacket;
export { readLoginPacket };
declare type RawListener = (ptr: NativePointer, size: number, networkIdentifier: NetworkIdentifier, packetId: number) => CANCEL | void;
declare type BeforeListener = (ptr: NativePointer, networkIdentifier: NetworkIdentifier, packetId: number) => CANCEL | void;
declare type SendListener = (ptr: NativePointer, networkIdentifier: NetworkIdentifier, packetId: number) => CANCEL | void;
declare type AfterListener = (ptr: NativePointer, networkIdentifier: NetworkIdentifier, packetId: number) => void;
/**
* It will bring raw packet buffers before parsing
* It will cancel the packet if you return false
*/
export declare function raw(id: PacketId): CapsuledEvent<RawListener>;
/**
* Maybe you cannot find any documents about the parsed packet structure
* You need to discover it self!
*/
export declare function before(id: PacketId): CapsuledEvent<BeforeListener>;
/**
* Maybe you cannot find any documents about the parsed packet structure
* You need to discover it self!
*/
export declare function after(id: PacketId): CapsuledEvent<AfterListener>;
/**
* Maybe you cannot find any documents about the parsed packet structure
* You need to discover it self!
*/
export declare function send(id: PacketId): CapsuledEvent<SendListener>;
export declare const close: CapsuledEvent<(networkIdentifier: NetworkIdentifier) => void>;
/**
 * Write all packets to console
 * @param exceptions (defaults: [
 *                  ClientCacheBlobStatus,
 *                  NetworkStackLatencyPacket,
 *                  LevelChunk,
 *                  ClientCacheMissResponse,
 *                  MoveEntityDelta,
 *                  SetEntityMotion,
 *                  SetEntityData])
 */
export declare function watchAll(exceptions?: PacketId[]): void;
