"use strict";
/**
 * I refer to this document: https://github.com/NiclasOlofsson/MiNET/blob/master/src/MiNET/MiNET/Net/MCPE%20Protocol%20Documentation.md
 */
var PacketId;
(function (PacketId) {
    PacketId[PacketId["Login"] = 1] = "Login";
    PacketId[PacketId["PlayStatus"] = 2] = "PlayStatus";
    PacketId[PacketId["ServerToClientHandshake"] = 3] = "ServerToClientHandshake";
    PacketId[PacketId["ClientToServerHandshake"] = 4] = "ClientToServerHandshake";
    PacketId[PacketId["Disconnect"] = 5] = "Disconnect";
    PacketId[PacketId["ResourcePacksInfo"] = 6] = "ResourcePacksInfo";
    PacketId[PacketId["ResourcePackStack"] = 7] = "ResourcePackStack";
    PacketId[PacketId["ResourcePackClientResponse"] = 8] = "ResourcePackClientResponse";
    PacketId[PacketId["Text"] = 9] = "Text";
    PacketId[PacketId["SetTime"] = 10] = "SetTime";
    PacketId[PacketId["StartGame"] = 11] = "StartGame";
    PacketId[PacketId["AddPlayer"] = 12] = "AddPlayer";
    PacketId[PacketId["AddEntity"] = 13] = "AddEntity";
    PacketId[PacketId["RemoveEntity"] = 14] = "RemoveEntity";
    PacketId[PacketId["AddItemEntity"] = 15] = "AddItemEntity";
    PacketId[PacketId["TakeItemEntity"] = 17] = "TakeItemEntity";
    PacketId[PacketId["MoveEntity"] = 18] = "MoveEntity";
    PacketId[PacketId["MovePlayer"] = 19] = "MovePlayer";
    PacketId[PacketId["RiderJump"] = 20] = "RiderJump";
    PacketId[PacketId["UpdateBlock"] = 21] = "UpdateBlock";
    PacketId[PacketId["AddPainting"] = 22] = "AddPainting";
    PacketId[PacketId["Explode"] = 23] = "Explode";
    PacketId[PacketId["LevelSoundEventOld"] = 24] = "LevelSoundEventOld";
    PacketId[PacketId["LevelEvent"] = 25] = "LevelEvent";
    PacketId[PacketId["BlockEvent"] = 26] = "BlockEvent";
    PacketId[PacketId["EntityEvent"] = 27] = "EntityEvent";
    PacketId[PacketId["MobEffect"] = 28] = "MobEffect";
    PacketId[PacketId["UpdateAttributes"] = 29] = "UpdateAttributes";
    PacketId[PacketId["InventoryTransaction"] = 30] = "InventoryTransaction";
    PacketId[PacketId["MobEquipment"] = 31] = "MobEquipment";
    PacketId[PacketId["MobArmorEquipment"] = 32] = "MobArmorEquipment";
    PacketId[PacketId["Interact"] = 33] = "Interact";
    PacketId[PacketId["BlockPickRequest"] = 34] = "BlockPickRequest";
    PacketId[PacketId["EntityPickRequest"] = 35] = "EntityPickRequest";
    PacketId[PacketId["PlayerAction"] = 36] = "PlayerAction";
    PacketId[PacketId["EntityFall"] = 37] = "EntityFall";
    PacketId[PacketId["HurtArmor"] = 38] = "HurtArmor";
    PacketId[PacketId["SetEntityData"] = 39] = "SetEntityData";
    PacketId[PacketId["SetEntityMotion"] = 40] = "SetEntityMotion";
    PacketId[PacketId["SetEntityLink"] = 41] = "SetEntityLink";
    PacketId[PacketId["SetHealth"] = 42] = "SetHealth";
    PacketId[PacketId["SetSpawnPosition"] = 43] = "SetSpawnPosition";
    PacketId[PacketId["Animate"] = 44] = "Animate";
    PacketId[PacketId["Respawn"] = 45] = "Respawn";
    PacketId[PacketId["ContainerOpen"] = 46] = "ContainerOpen";
    PacketId[PacketId["ContainerClose"] = 47] = "ContainerClose";
    PacketId[PacketId["PlayerHotbar"] = 48] = "PlayerHotbar";
    PacketId[PacketId["InventoryContent"] = 49] = "InventoryContent";
    PacketId[PacketId["InventorySlot"] = 50] = "InventorySlot";
    PacketId[PacketId["ContainerSetData"] = 51] = "ContainerSetData";
    PacketId[PacketId["CraftingData"] = 52] = "CraftingData";
    PacketId[PacketId["CraftingEvent"] = 53] = "CraftingEvent";
    PacketId[PacketId["GuiDataPickItem"] = 54] = "GuiDataPickItem";
    PacketId[PacketId["AdventureSettings"] = 55] = "AdventureSettings";
    PacketId[PacketId["BlockEntityData"] = 56] = "BlockEntityData";
    PacketId[PacketId["PlayerInput"] = 57] = "PlayerInput";
    PacketId[PacketId["LevelChunk"] = 58] = "LevelChunk";
    PacketId[PacketId["SetCommandsEnabled"] = 59] = "SetCommandsEnabled";
    PacketId[PacketId["SetDifficulty"] = 60] = "SetDifficulty";
    PacketId[PacketId["ChangeDimension"] = 61] = "ChangeDimension";
    PacketId[PacketId["SetPlayerGameType"] = 62] = "SetPlayerGameType";
    PacketId[PacketId["PlayerList"] = 63] = "PlayerList";
    PacketId[PacketId["SimpleEvent"] = 64] = "SimpleEvent";
    PacketId[PacketId["TelemetryEvent"] = 65] = "TelemetryEvent";
    PacketId[PacketId["SpawnExperienceOrb"] = 66] = "SpawnExperienceOrb";
    PacketId[PacketId["ClientboundMapItemData"] = 67] = "ClientboundMapItemData";
    PacketId[PacketId["MapInfoRequest"] = 68] = "MapInfoRequest";
    PacketId[PacketId["RequestChunkRadius"] = 69] = "RequestChunkRadius";
    PacketId[PacketId["ChunkRadiusUpdate"] = 70] = "ChunkRadiusUpdate";
    PacketId[PacketId["ItemFrameDropItem"] = 71] = "ItemFrameDropItem";
    PacketId[PacketId["GameRulesChanged"] = 72] = "GameRulesChanged";
    PacketId[PacketId["Camera"] = 73] = "Camera";
    PacketId[PacketId["BossEvent"] = 74] = "BossEvent";
    PacketId[PacketId["ShowCredits"] = 75] = "ShowCredits";
    PacketId[PacketId["AvailableCommands"] = 76] = "AvailableCommands";
    PacketId[PacketId["CommandRequest"] = 77] = "CommandRequest";
    PacketId[PacketId["CommandBlockUpdate"] = 78] = "CommandBlockUpdate";
    PacketId[PacketId["CommandOutput"] = 79] = "CommandOutput";
    PacketId[PacketId["UpdateTrade"] = 80] = "UpdateTrade";
    PacketId[PacketId["UpdateEquipment"] = 81] = "UpdateEquipment";
    PacketId[PacketId["ResourcePackDataInfo"] = 82] = "ResourcePackDataInfo";
    PacketId[PacketId["ResourcePackChunkData"] = 83] = "ResourcePackChunkData";
    PacketId[PacketId["ResourcePackChunkRequest"] = 84] = "ResourcePackChunkRequest";
    PacketId[PacketId["Transfer"] = 85] = "Transfer";
    PacketId[PacketId["PlaySound"] = 86] = "PlaySound";
    PacketId[PacketId["StopSound"] = 87] = "StopSound";
    PacketId[PacketId["SetTitle"] = 88] = "SetTitle";
    PacketId[PacketId["AddBehaviorTree"] = 89] = "AddBehaviorTree";
    PacketId[PacketId["StructureBlockUpdate"] = 90] = "StructureBlockUpdate";
    PacketId[PacketId["ShowStoreOffer"] = 91] = "ShowStoreOffer";
    PacketId[PacketId["PurchaseReceipt"] = 92] = "PurchaseReceipt";
    PacketId[PacketId["PlayerSkin"] = 93] = "PlayerSkin";
    PacketId[PacketId["SubClientLogin"] = 94] = "SubClientLogin";
    PacketId[PacketId["InitiateWebSocketConnection"] = 95] = "InitiateWebSocketConnection";
    PacketId[PacketId["SetLastHurtBy"] = 96] = "SetLastHurtBy";
    PacketId[PacketId["BookEdit"] = 97] = "BookEdit";
    PacketId[PacketId["NpcRequest"] = 98] = "NpcRequest";
    PacketId[PacketId["PhotoTransfer"] = 99] = "PhotoTransfer";
    PacketId[PacketId["ModalFormRequest"] = 100] = "ModalFormRequest";
    PacketId[PacketId["ModalFormResponse"] = 101] = "ModalFormResponse";
    PacketId[PacketId["ServerSettingsRequest"] = 102] = "ServerSettingsRequest";
    PacketId[PacketId["ServerSettingsResponse"] = 103] = "ServerSettingsResponse";
    PacketId[PacketId["ShowProfile"] = 104] = "ShowProfile";
    PacketId[PacketId["SetDefaultGameType"] = 105] = "SetDefaultGameType";
    PacketId[PacketId["RemoveObjective"] = 106] = "RemoveObjective";
    PacketId[PacketId["SetDisplayObjective"] = 107] = "SetDisplayObjective";
    PacketId[PacketId["SetScore"] = 108] = "SetScore";
    PacketId[PacketId["LabTable"] = 109] = "LabTable";
    PacketId[PacketId["UpdateBlockSynced"] = 110] = "UpdateBlockSynced";
    PacketId[PacketId["MoveEntityDelta"] = 111] = "MoveEntityDelta";
    PacketId[PacketId["SetScoreboardIdentityPacket"] = 112] = "SetScoreboardIdentityPacket";
    PacketId[PacketId["SetLocalPlayerAsInitializedPacket"] = 113] = "SetLocalPlayerAsInitializedPacket";
    PacketId[PacketId["UpdateSoftEnumPacket"] = 114] = "UpdateSoftEnumPacket";
    PacketId[PacketId["NetworkStackLatencyPacket"] = 115] = "NetworkStackLatencyPacket";
    PacketId[PacketId["ScriptCustomEventPacket"] = 117] = "ScriptCustomEventPacket";
    PacketId[PacketId["SpawnParticleEffect"] = 118] = "SpawnParticleEffect";
    PacketId[PacketId["AvailableEntityIdentifiers"] = 119] = "AvailableEntityIdentifiers";
    PacketId[PacketId["LevelSoundEventV2"] = 120] = "LevelSoundEventV2";
    PacketId[PacketId["NetworkChunkPublisherUpdate"] = 121] = "NetworkChunkPublisherUpdate";
    PacketId[PacketId["BiomeDefinitionList"] = 122] = "BiomeDefinitionList";
    PacketId[PacketId["LevelSoundEvent"] = 123] = "LevelSoundEvent";
    PacketId[PacketId["LevelEventGeneric"] = 124] = "LevelEventGeneric";
    PacketId[PacketId["LecternUpdate"] = 125] = "LecternUpdate";
    PacketId[PacketId["VideoStreamConnect"] = 126] = "VideoStreamConnect";
    PacketId[PacketId["ClientCacheStatus"] = 129] = "ClientCacheStatus";
    PacketId[PacketId["OnScreenTextureAnimation"] = 130] = "OnScreenTextureAnimation";
    PacketId[PacketId["MapCreateLockedCopy"] = 131] = "MapCreateLockedCopy";
    PacketId[PacketId["StructureTemplateDataExportRequest"] = 132] = "StructureTemplateDataExportRequest";
    PacketId[PacketId["StructureTemplateDataExportResponse"] = 133] = "StructureTemplateDataExportResponse";
    PacketId[PacketId["UpdateBlockProperties"] = 134] = "UpdateBlockProperties";
    PacketId[PacketId["ClientCacheBlobStatus"] = 135] = "ClientCacheBlobStatus";
    PacketId[PacketId["ClientCacheMissResponse"] = 136] = "ClientCacheMissResponse";
})(PacketId || (PacketId = {}));
module.exports = PacketId;
//# sourceMappingURL=packetId.js.map