import { StructureType, Structure, CxxVectorType, CxxVector, Type } from "./nativetype";
import { NativePointer, NetworkIdentifier } from "./native";
import PacketId = require("./packetId");
export declare const HashedString: Type<string>;
export declare class UpdateAttributesPacket$AttributeData extends Structure {
    min: number;
    max: number;
    current: number;
    default: number;
    hash: NativePointer;
    name: string;
    static readonly structure: ((string | number | import("./native").Primitive)[] | (string | number | Type<string>)[])[];
    static readonly size = 56;
}
export interface PacketType<T> extends StructureType<T> {
    readonly ID: number;
}
export declare const CxxVector$UpdateAttributesPacket$AttributeData: CxxVectorType<unknown>;
export declare class Packet extends Structure {
    sendTo(ni: NetworkIdentifier): void;
}
export declare class UpdateAttributesPacket extends Packet {
    runtimeId: NativePointer;
    attributes: CxxVector<UpdateAttributesPacket$AttributeData>;
    static readonly ID = PacketId.UpdateAttributes;
    static readonly structure: ((string | number | typeof NativePointer)[] | (string | number | typeof UpdateAttributesPacket$AttributeData)[])[];
}
