"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateAttributesPacket = exports.Packet = exports.CxxVector$UpdateAttributesPacket$AttributeData = exports.UpdateAttributesPacket$AttributeData = exports.HashedString = void 0;
const nativetype_1 = require("./nativetype");
const native_1 = require("./native");
const PacketId = require("./packetId");
exports.HashedString = {
    name: 'HashedString',
    get(ptr) {
        return ptr.getCxxString(8);
    },
    set(ptr, str) {
        ptr.move(8);
        ptr.setCxxString(str);
        const hash = native_1.getHashFromCxxString(ptr);
        ptr.move(-8);
        ptr.setPointer(hash);
    },
};
class UpdateAttributesPacket$AttributeData extends nativetype_1.Structure {
    constructor() {
        super(...arguments);
        this.min = 0;
        this.max = 0;
        this.current = 0;
        this.default = 0;
        this.hash = new native_1.NativePointer;
        this.name = '';
    }
}
exports.UpdateAttributesPacket$AttributeData = UpdateAttributesPacket$AttributeData;
UpdateAttributesPacket$AttributeData.structure = [
    [0, 'current', nativetype_1.Float32],
    [4, 'min', nativetype_1.Float32],
    [8, 'max', nativetype_1.Float32],
    [12, 'default', nativetype_1.Float32],
    [16, 'name', exports.HashedString],
];
UpdateAttributesPacket$AttributeData.size = 0x38;
exports.CxxVector$UpdateAttributesPacket$AttributeData = new nativetype_1.CxxVectorType(UpdateAttributesPacket$AttributeData);
class Packet extends nativetype_1.Structure {
    sendTo(ni) {
        const type = this.constructor;
        const ptr = native_1.nethook.createPacket(type.ID);
        type.set(ptr, this);
        native_1.nethook.sendPacket(ni, ptr);
    }
}
exports.Packet = Packet;
class UpdateAttributesPacket extends Packet {
}
exports.UpdateAttributesPacket = UpdateAttributesPacket;
UpdateAttributesPacket.ID = PacketId.UpdateAttributes;
UpdateAttributesPacket.structure = [
    [0x28, 'runtimeId', native_1.NativePointer],
    [0x30, 'attributes', UpdateAttributesPacket$AttributeData],
];
;
//# sourceMappingURL=packettype.js.map